Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#58454 - [qemu] broken smartcard support - gnome-boxes 3.18.2 fails to start any vm with qemu 2.12

Attached to Project: Arch Linux
Opened by Christian Sigl (subjectdenied) - Friday, 04 May 2018, 11:38 GMT
Last edited by Eli Schwartz (eschwartz) - Tuesday, 17 July 2018, 23:34 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Anatol Pomozov (anatolik)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 4
Private No

Details

Description:

gnome-boxes fails to start any os for me, with qemu 2.12 (in this case F28), but have same results with win10, ubuntu 18.04, ...

Boxes-WARNING **: 13:32:21.781: machine.vala:620: Failed to start Fedora: Unable to start domain: internal error: qemu unexpectedly closed the monitor: 2018-05-04T11:32:21.741877Z qemu-system-x86_64: -device ccid-card-passthru,chardev=charsmartcard0,id=smartcard0,bus=ccid0.0: ccid-card-passthru: initing chardev

Additional info:
* qemu 2.12.0-1
* libvirt 4.2.0-1
* gnome-boxes 3.28.2-1

Steps to reproduce:

start gnome-boxes, try to add an iso by choosing its file, start it, the vm quits immediatly
This task depends upon

Closed by  Eli Schwartz (eschwartz)
Tuesday, 17 July 2018, 23:34 GMT
Reason for closing:  Fixed
Additional comments about closing:  qemu 2.12.0-2
Comment by Balló György (City-busz) - Friday, 04 May 2018, 20:45 GMT
Please report this problem to upstream:
https://gitlab.gnome.org/GNOME/gnome-boxes/issues
Comment by Christian Sigl (subjectdenied) - Friday, 04 May 2018, 23:00 GMT Comment by Paolo Mozzati (pmoz) - Tuesday, 29 May 2018, 21:23 GMT
Reading the comments at https://gitlab.gnome.org/GNOME/gnome-boxes/issues/203 it seems a workaround has been found.
Comment by Balló György (City-busz) - Thursday, 05 July 2018, 08:25 GMT
I reassigned this bug to quemu maintainers. They should consider to temporary disable smartcard support, because any VMs fail to run if a virtual smartcard device requested.
Comment by Balló György (City-busz) - Thursday, 05 July 2018, 08:29 GMT
Debian report:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=900006

It's already fixed by upstream:
https://git.qemu.org/?p=qemu.git;a=commit;h=e58d64a

Please apply this patch for qemu.
Comment by Anatol Pomozov (anatolik) - Friday, 06 July 2018, 07:06 GMT
The upstream patch has been cherry-picked into qemu 2.12.0-2 (currently in [testing]). Please try it and let us know the result.
Comment by Paolo Mozzati (pmoz) - Friday, 06 July 2018, 15:42 GMT
Installed qemu 2.12.0-2 from testing. It works for me! Both for Fedora 28 and Windows 10.

Loading...